> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get Active Balances API

GET https://api.brevo.com/v3/loyalty/balance/programs/{pid}/active-balance

Returns Active Balances

Reference: https://developers.brevo.com/reference/get-active-balances-api

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program Id

### Query parameters

- `limit` (integer, optional) — Limit
- `offset` (integer, optional) — Offset
- `sortField` (enum, optional) — Sort Field
  - Allowed values: `createdAt`
- `sort` (enum, optional) — Sort Order
  - Allowed values: `asc`, `desc`
- `contactId` (long, required) — Contact ID
- `balanceDefinitionId` (string, required) — Balance Definition ID
- `includeInternal` (boolean, optional) — Include balances tied to internal definitions.

## Response

### 200

Successful retrieval of active balances

- `count` (long, optional) — Total number of active balances.
- `loyaltyProgramId` (string, optional) — Unique identifier of the loyalty program.
- `contactId` (long, optional) — Unique identifier of the contact.
- `balanceDefinitionId` (string, optional) — Unique identifier of the balance definition.
- `activeBalances` (list of object, optional) — List of active balances.
  - `id` (string, optional) — Unique identifier of the balance entry.
  - `amount` (float, optional) — Current balance amount.
  - `createdAt` (datetime, optional) — Timestamp when the balance was created.
  - `expiresAt` (datetime, optional) — Timestamp when the balance expires (if applicable).

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

subscription not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "count": 1,
  "loyaltyProgramId": "string",
  "contactId": 1,
  "balanceDefinitionId": "string",
  "activeBalances": [
    {
      "id": "string",
      "amount": 1.1,
      "createdAt": "2024-01-15T09:30:00Z",
      "expiresAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.balance.getActiveBalancesApi({
        pid: "pid",
        balanceDefinitionId: "balanceDefinitionId",
        contactId: 1,
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.balance.get_active_balances_api(
    pid="pid",
    balance_definition_id="balanceDefinitionId",
    contact_id=1,
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Balance\Requests\GetLoyaltyBalanceProgramsPidActiveBalanceRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->balance->getActiveBalancesApi(
    'pid',
    new GetLoyaltyBalanceProgramsPidActiveBalanceRequest([
        'balanceDefinitionId' => 'balanceDefinitionId',
        'contactId' => 1,
    ]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/balance/programs/pid/active-balance?balanceDefinitionId=balanceDefinitionId&contactId=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/balance/programs/pid/active-balance?balanceDefinitionId=balanceDefinitionId&contactId=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/balance/programs/pid/active-balance?balanceDefinitionId=balanceDefinitionId&contactId=1")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/balance/programs/pid/active-balance?balanceDefinitionId=balanceDefinitionId&contactId=1");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/balance/programs/pid/active-balance?balanceDefinitionId=balanceDefinitionId&contactId=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```